package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * @author HUJIANGUO
 * @create 2021-11-10 11:30
 */
@FeignClient(value = "logistic",url = "https://wl.dasteel.cn:32322")
public interface TokenFeign {

    @PostMapping("/icore.icp.web/pass/auth/login")
    Map<String,Object> login(@RequestParam String loginName,
                             @RequestParam String password);


}
