package com.steerinfo.dil.controller;

import com.alibaba.druid.support.json.JSONUtils;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.steerinfo.dil.wsdl.*;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

@RestController
@RequestMapping("/${api.version}/wmsoutboundresult")
public class WmsOutboundResultController {

    @PostMapping("/sendWarranty")
    public String SendWarranty(@RequestBody Map<String,Object> map) {

        ServiceInfo service = new ServiceInfo("user", "dgjt@kingdee", "eas", "FDDGEAS85", "L2", 1);
        WSFaceFacadeSrvProxyServiceLocator locator = new WSFaceFacadeSrvProxyServiceLocator();
        service.setServername("172.16.33.111", "8888");
        WSContext wsContext = LoginUtil.doEASLogin(service);
        String sessionId = wsContext.getSessionId();
        if (null == sessionId) {
            System.out.println("[error]: 登陆有问题");
        }
        String output = null;
        try {
            // 这边是map，将map封装后转为json
            String json = JSONUtils.toJSONString(map);
            System.out.println(json);
            String res = locator.getWSFaceFacade().invokeJson(json);
            JSONObject request = JSON.parseObject(res);
            output = request.getString("output");
            System.out.println(output);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return output;
    }


    
}
